GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
gdcm::FilenameGenerator Class Reference

FilenameGenerator. More...

`#include <gdcmFilenameGenerator.h>`

## Public Types

typedef std::vector< FilenameType > | FilenamesType
typedef std::string | FilenameType
typedef FilenamesType::size_type | SizeType

## Public Member Functions

| FilenameGenerator ()
| ~FilenameGenerator ()
bool | Generate ()
| Generate (return success)
const char * | GetFilename (SizeType n) const
| Get a particular filename (call after Generate)
FilenamesType const & | GetFilenames () const
| Return all filenames.
SizeType | GetNumberOfFilenames () const
const char * | GetPattern () const
const char * | GetPrefix () const
void | SetNumberOfFilenames (SizeType nfiles)
| Set/Get the number of filenames to generate.
void | SetPattern (const char *pattern)
| Set/Get pattern.
void | SetPrefix (const char *prefix)
| Set/Get prefix.

## Detailed Description

FilenameGenerator.

class to generate filenames based on a pattern (C-style)

Output will be:

for i = 0, number of filenames: outfilename[i] = prefix + (pattern % i)

where pattern % i means C-style snprintf of Pattern using value 'i'

Examples:
  ConvertMultiFrameToSingleFrame.cxx.

## Member Typedef Documentation

typedef std::vector<FilenameType> gdcm::FilenameGenerator::FilenamesType

typedef std::string gdcm::FilenameGenerator::FilenameType

typedef FilenamesType::size_type gdcm::FilenameGenerator::SizeType

## Constructor & Destructor Documentation

gdcm::FilenameGenerator::FilenameGenerator | ( |  | ) |

inline

gdcm::FilenameGenerator::~FilenameGenerator | ( |  | ) |

inline

## Member Function Documentation

bool gdcm::FilenameGenerator::Generate | ( |  | ) |

Generate (return success)

Examples:
  ConvertMultiFrameToSingleFrame.cxx.

const char* gdcm::FilenameGenerator::GetFilename | ( | SizeType | n | ) | const

Get a particular filename (call after Generate)

Examples:
  ConvertMultiFrameToSingleFrame.cxx.

FilenamesType const& gdcm::FilenameGenerator::GetFilenames | ( |  | ) | const

inline

Return all filenames.

SizeType gdcm::FilenameGenerator::GetNumberOfFilenames | ( |  | ) | const

Examples:
  ConvertMultiFrameToSingleFrame.cxx.

const char* gdcm::FilenameGenerator::GetPattern | ( |  | ) | const

inline

const char* gdcm::FilenameGenerator::GetPrefix | ( |  | ) | const

inline

void gdcm::FilenameGenerator::SetNumberOfFilenames | ( | SizeType | nfiles | ) |

Set/Get the number of filenames to generate.

Examples:
  ConvertMultiFrameToSingleFrame.cxx.

void gdcm::FilenameGenerator::SetPattern | ( | const char * | pattern | ) |

inline

Set/Get pattern.

Examples:
  ConvertMultiFrameToSingleFrame.cxx.

void gdcm::FilenameGenerator::SetPrefix | ( | const char * | prefix | ) |

inline

Set/Get prefix.

The documentation for this class was generated from the following file:

- gdcmFilenameGenerator.h